/*
 Theme Name:   Plantimax
 Template: 	   kadence
 Author:       SP Media
 Author URI:   https://spmedia.pl/
*/

body #cart-drawer.popup-drawer .drawer-inner {
	background: var(--global-palette1);
	h2 {
		color: var(--global-palette4);
	}
}
body .header-navigation[class*="header-navigation-style-underline"] .header-menu-container>ul>li.current_page_item>a:after {
	height: 3px;
	width: 50%;
	left: 50%;
	top: -20px;
	transform: translateX(-50%);
}

.site-footer .site-middle-footer-inner-wrap {
	padding-top: 30px;
	padding-bottom: 27px;
	border-bottom: 1px solid #4D5443;
}

#colophon .footer-navigation .footer-menu-container > ul > li > a,
.site-footer a{
	color: var(--global-palette4) !important;
	text-decoration: none !important;
	&:hover {
		color: var(--global-palette7) !important
	}
}

.site-footer .widget-area ul {
	list-style-type: none;
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;
}
.site-footer .site-footer-wrap .social-button {
	background: inherit;
	transition: all .4s linear;
	&:hover {
		background: inherit;
		transform: scale(1.1);
	}
}

.header-infos > .kt-row-column-wrap {
	background: var(--global-palette1);
}
.header-infos {
	position: relative;
}
.header-infos::before {
	content: '';
	height: 100%;
	width: 50%;
	left: 50%;
	display: block;
	background: var(--global-palette1);
	position: absolute;
}

.headline {
	position: relative;
	display: inline-block;
	&::before,
	&::after {
		content: '';
		width: 5px;
		height: 5px;
		border-radius: 5px;
		background: var(--global-palette2);
		display: block;
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
	}
	&::before {
		left: -1rem;
	}
	&::after {
		right: -1rem;
	}
}
.w-full {
	width: 100%;
}

/* Main page testimonials */
.main-page-testimonials .kt-testimonial-text-wrap {
	text-align: left;
}
.main-page-testimonials .kt-svg-testimonial-rating-icon {
	margin-right: 10px;
}
.main-page-testimonials .kt-testimonial-content-wrap {
	border-bottom: 1px solid #EFEAE7;
	padding-bottom: 20px;
}
.main-page-testimonials .kt-testimonial-meta-wrap {
	justify-content: end;
}
.main-page-testimonials .kt-blocks-carousel .kt-carousel-dotstyle-outlinedark .splide__pagination__page.is-active {
    box-shadow: inset 0 0 0 8px #0F6B2C;
}
.main-page-testimonials .kt-blocks-carousel .kt-carousel-dotstyle-outlinedark .splide__pagination__page {
    box-shadow: inset 0 0 0 1px #0F6B2C;
}

/* faq accordion styles */
.faq-accordion .kt-accodion-icon-style-basic .kt-blocks-accordion-icon-trigger:before,
.faq-accordion .kt-accodion-icon-style-basic .kt-blocks-accordion-icon-trigger:after {
	height: 1px;
	width: 15px;
	background: white !important;
	left: 7.5px;
    top: 14px;
}
.faq-accordion .kt-blocks-accordion-icon-trigger {
	background-color: #0F6B2C;
	padding: 3px;
	border-radius: 3px;
}

/* product loop item */
.products .entry.loop-entry {
	border-radius: 10px;
	box-shadow: 0px 21px 21px 0px #00000017;
}
.woocommerce ul.products li.product .product-details.entry-content-wrap {
	margin: 0;
}

/* product archive icons */
.kadence-toggle-shop-layout .kadence-svg-iconset svg {
    display: none;
}
.kadence-product-toggle-container button.kadence-toggle-shop-layout {
	height: auto;
}
.kadence-product-toggle-container button.kadence-toggle-shop-layout,
.kadence-product-toggle-container button.kadence-toggle-shop-layout.toggle-active,
.kadence-product-toggle-container button.kadence-toggle-shop-layout:hover {
    border-color: transparent;
    background: transparent;
    box-shadow: none;
    color: transparent;
	margin: 0;
	padding: 0;
	margin-left: 5px;
}
.kadence-toggle-grid .kadence-svg-iconset::before {
    content: '';
    display: inline-block;
    width: 41px;
    height: 41px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='41' height='41' viewBox='0 0 41 41' fill='none'%3E%3Ccircle cx='20.5' cy='20.5' r='20.5' fill='%23EFEFEF'/%3E%3Cpath d='M19.5278 13H13.5V19.0278H19.5278V13Z' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M29 13H22.9722V19.0278H29V13Z' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M29 22.4723H22.9722V28.5002H29V22.4723Z' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M19.5278 22.4723H13.5V28.5002H19.5278V22.4723Z' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
}
.kadence-toggle-grid.toggle-active .kadence-svg-iconset::before,
.kadence-toggle-grid:hover .kadence-svg-iconset::before{
    content: '';
    display: inline-block;
    width: 41px;
    height: 41px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='41' height='41' viewBox='0 0 41 41' fill='none'%3E%3Ccircle cx='20.5' cy='20.5' r='20.5' fill='%230F6B2C'/%3E%3Cpath d='M19.5278 13H13.5V19.0278H19.5278V13Z' stroke='white' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M29 13H22.9722V19.0278H29V13Z' stroke='white' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M29 22.4723H22.9722V28.5002H29V22.4723Z' stroke='white' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M19.5278 22.4723H13.5V28.5002H19.5278V22.4723Z' stroke='white' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
}
.kadence-toggle-list .kadence-svg-iconset::before {
    content: '';
    display: inline-block;
    width: 41px;
    height: 41px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='41' height='41' viewBox='0 0 41 41' fill='none'%3E%3Ccircle cx='20.5' cy='20.5' r='20.5' fill='%23EFEFEF'/%3E%3Cpath d='M17 15H30' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M17 21H30' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M17 27H30' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Ccircle cx='13' cy='15' r='1' fill='black'/%3E%3Ccircle cx='13' cy='21' r='1' fill='black'/%3E%3Ccircle cx='13' cy='27' r='1' fill='black'/%3E%3C/svg%3E");
}
.kadence-toggle-list.toggle-active .kadence-svg-iconset::before,
.kadence-toggle-list:hover .kadence-svg-iconset::before{
    content: '';
    display: inline-block;
    width: 41px;
    height: 41px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='41' height='41' viewBox='0 0 41 41' fill='none'%3E%3Ccircle cx='20.5' cy='20.5' r='20.5' fill='%230F6B2C'/%3E%3Cpath d='M17 15H30' stroke='white' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M17 21H30' stroke='white' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M17 27H30' stroke='white' stroke-linecap='round' stroke-linejoin='round'/%3E%3Ccircle cx='13' cy='15' r='1' fill='white'/%3E%3Ccircle cx='13' cy='21' r='1' fill='white'/%3E%3Ccircle cx='13' cy='27' r='1' fill='white'/%3E%3C/svg%3E");
}

/* product archive sorting */
.woocommerce-ordering select.orderby {
    padding-bottom: 10px;
    padding-top: 10px;
    padding-left: 30px;
    padding-right: 60px;
    height: auto;
    border-radius: 100px;
    border-top-style: solid;
    border-right-style: solid;
    border-left-style: solid;
	border: 1px solid var(--global-palette2);
    font-size: 90%;
    background-color: transparent;
    background-position: right 30px top 50%;
    font-weight: 500;
	font-family: "Lato";
	color: var(--global-palette2);
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-size: auto 18px;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNSIgaGVpZ2h0PSIyNSIgZmlsbD0ibm9uZSIgc3Ryb2tlLXdpZHRoPSIyIiBzdHJva2U9IiMzMzNCMjgiPjxwYXRoIGQ9Ik02IDlsNiA2IDYtNiIvPjwvc3ZnPg==);
}

/* product loop item */
.woocommerce .products div.star-rating {
	display: none;
}
.woocommerce ul.products li.product span.price {
	display: flex;
}
@media(max-width: 1113px) {
	.woocommerce ul.products li.product .product-details h2.woocommerce-loop-product__title {
		font-size: 16px;
	}
	.woocommerce ul.products li.product .product-details span.price {
		font-size: 12px;
	}
	.product-details .button {
		font-size: 12px;
	}
}
@media(max-width: 721px) {
	.woocommerce ul.products li.product .product-details h2.woocommerce-loop-product__title {
		font-size: 14px;
	}
	.woocommerce ul.products li.product .product-details span.price {
		font-size: 10px;
	}
	.product-details .button {
		font-size: 7px;
	}
}
@media(max-width: 576px) {
	.woocommerce ul.products.woo-archive-action-on-hover li.product div.entry-content-wrap, .woocommerce ul.products.woo-archive-action-on-hover li.product div.entry-content-wrap {
		-webkit-transform: translateY(-2rem);
		transform: translateY(-2rem);
	}
	.woocommerce ul.products.woo-archive-action-on-hover li.product div.product-action-wrap, .woocommerce ul.products.woo-archive-action-on-hover li.product div.product-action-wrap {
		bottom: -.8rem;
		opacity: 1;
	}
	.woocommerce ul.products li.product .product-details h2.woocommerce-loop-product__title {
		font-size: 24px;
	}
	.woocommerce ul.products li.product .product-details span.price {
		font-size: 20px;
	}
	.product-details .button {
		font-size: 16px;
	}
}

/* bestsellers */
.wc-block-grid__product-image div.wc-block-grid__product-onsale {
	background: var(--global-palette-highlight);
    border: 1px solid var(--global-palette-highlight);
    border-radius: 3px;
    color: var(--global-palette-highlight-alt2);
}
.wp-block-woocommerce-product-collection .entry {
	border-radius: 10px !important;
	box-shadow: 0px 21px 21px 0px #00000017 !important;
	padding-bottom: 20px !important;
}
.wp-block-woocommerce-product-collection .wc-block-components-product-image {
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
}

/* single product */
.woocommerce-product-gallery__image {
/* 	max-height: 600px; */
	border-radius: 10px;
}
.woocommerce div.product form.cart div.quantity {
    margin-right: 10px !important;
	margin-bottom: 10px !important;
}
.woocommerce div.product form.cart {
	padding-bottom: 2em;
	margin-bottom: 1em !important;
	border-bottom: 1px solid #EFEFEF;
}
.single-product-extras .kadence-svg-icon {
	color: var(--global-palette1);
}
.woocommerce div.product div.woocommerce-tabs ul.tabs li.active a {
    color: var(--global-palette1);
}
.woocommerce div.product div.woocommerce-tabs ul.tabs li a:hover {
    color: var(--global-palette1);
}
.woocommerce #reviews #comments ol.commentlist li div.comment-text {
    border-radius: 10px;
}
.comment-form textarea {
	border-radius: 10px !important;
	border-color: var(--global-gray-400);
}
.comment-form .stars a {
	color: var(--global-palette-highlight);
}
.comment-form input.submit {
	width: 100%;
    border-radius: 100px !important;
}
.single-product div.product div.woocommerce-tabs ul.tabs {
	border-bottom-color: #EFEFEF;
}

/* mini cart, cart and checkout */
.woocommerce ul.cart_list li.mini_cart_item a, .woocommerce ul.product_list_widget li a {
	font-weight: 400;
}
.woocommerce ul.cart_list li.mini_cart_item .quantity, .woocommerce ul.product_list_widget li .quantity {
    color: var(--global-palette4);
}
.woocommerce li.mini_cart_item a.remove {
	color: var(--global-palette4) !important;
}
.woocommerce.widget_shopping_cart .woocommerce-mini-cart__buttons.buttons .button{
    background: var(--global-palette4);
    color: var(--global-palette1);
}
.woocommerce.widget_shopping_cart .woocommerce-mini-cart__buttons.buttons .button:hover {
    background: var(--global-palette4);
    color: var(--global-palette1);
}
.wc-block-cart__submit-container .wc-block-cart__submit-button {
	border-radius: 100px;
}
.wc-block-components-sale-badge {
	border-color: var(--global-palette-highlight);
	background-color: var(--global-palette-highlight);
	color: var(--global-palette4);
}
.woocommerce div.woocommerce-info {
	color: var(--global-palette2);
}
.checkout.woocommerce-checkout input,
.checkout.woocommerce-checkout textarea {
	border-radius: 4px !important;
}
.select2-dropdown {
	color: var(--global-palette2) !important;
}
.main-page-bestsellers .wc-block-product {
	padding-bottom: 0 !important;
}
/* main page bestsellers */
.main-page-bestsellers ul.wc-block-product-template__responsive {
	margin-left: -14px;	
}
.main-page-bestsellers h3,
.main-page-bestsellers .wc-block-grid__product-price {
	text-align: left;
	padding-left: 25px;
	padding-right: 25px;
}
.main-page-bestsellers h3 {	
	padding-top: 25px;
}
.main-page-bestsellers .wp-block-button.wc-block-components-product-button {	
	padding-left: 25px;
	padding-right: 25px;
}
.main-page-bestsellers .wp-block-button.wc-block-components-product-button button {
	width: 100%;
}
.main-page-bestsellers .wc-block-product-template__responsive.columns-4 {
	grid-template-columns: repeat(auto-fill, minmax(max(250px, calc(25% - .9375em)), 1fr));	
}
@media(min-width: 1100px) {
	.main-page-bestsellers {
		height: fit-content;
	}		
	.main-page-bestsellers h3,
	.main-page-bestsellers .wp-block-woocommerce-product-price,
	.main-page-bestsellers .wc-block-components-product-button {
		background: white;
		position: relative;
		z-index: 1;
	}
	.main-page-bestsellers .wp-block-button.wc-block-components-product-button {
		opacity: 0;
		margin-bottom: 0;
		transition: margin 0.3s cubic-bezier(0.17, 0.67, 0.35, 0.95), opacity 0.3s linear;
	}
	.main-page-bestsellers .wc-block-product:hover .wp-block-button.wc-block-components-product-button {
		opacity: 1;
		margin-bottom: 20px;
	}
	.main-page-bestsellers .wc-block-product .wc-block-components-product-image {
		margin-bottom: 0;
		transition: margin 0.3s cubic-bezier(0.17, 0.67, 0.35, 0.95);
	}
	.main-page-bestsellers .wc-block-product:hover .wc-block-components-product-image {
		margin-bottom: -20px;
	}
}